Skip to navigation

Create Account

Create a new account with required and optional fields.

Required fields:

  • title: Account name
  • address: Account location

Optional fields:

  • accountType: Account type (RESIDENTIAL/COMMERCIAL)
  • value: Account value
  • size: Account size
  • primaryEmail/primaryPhone: Contact information
  • contacts: Contact IDs only (no name, email, phone, etc.). The contacts must be created first via POST /contacts.
  • custom: Custom fields object

Note: If primaryEmail or primaryPhone is provided and no contacts are provided, a contact will be automatically created or matched.

Note: The /clients path is an alias for /accounts and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Query parameters

allow_new_optionsbooleanOptionalDefaults to false
Whether to allow creation of new dropdown options during record creation
match_byenumOptionalDefaults to title
Field to use for matching existing records
Allowed values:
match_found_strategyenumOptionalDefaults to skip
Strategy to use when a match is found
Allowed values:

Request

This endpoint expects an object.
titlestringRequired
Account name
addresslist of stringsRequired

An array containing a single string, which represents the primary account location/address.

descriptionstring or nullOptional
Account description
accountTypeenumOptional
Account type
Allowed values:
ownerIdinteger or nullOptional
ID of the owning user
primaryEmailstringOptionalformat: "email"
Primary contact email
primaryPhonestringOptional
Primary contact phone
contactslist of integers or nullOptional

Contact IDs only (no name, email, phone, etc.). The contacts must be created first via POST /contacts. The first ID in the array is treated as the primary contact.

custommap from strings to anyOptional
Custom fields

Response

Matching account found
idintegerOptional
Unique identifier
createdAtstringOptionalformat: "date-time"
Creation timestamp
updatedAtstringOptionalformat: "date-time"
Timestamp of the most recent update to the record, including changes to its custom property values.
titlestringOptional

Record title/name

descriptionstring or nullOptional
Record description
addresslist of stringsOptional

Record location/address

isActivebooleanOptional
Whether the record is active
primaryEmailstring or nullOptionalformat: "email"
Primary contact email
primaryPhonestring or nullOptional
Primary contact phone
numberintegerOptional

Record number (e.g., 1234)

createdByobject or nullOptional

User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact).

updatedByobject or nullOptional

User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor.

custommap from strings to anyOptional
Custom fields
accountTypeenum or nullOptional

Type of account (residential or commercial)

Allowed values:
contactslist of objectsOptional

On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts.

Errors

400
Bad Request Error
401
Unauthorized Error